import CommandContext from './CommandContext';
declare abstract class Command {
    private _id;
    static _uuid: number;
    private _discardDuplicated;
    constructor();
    abstract execute(commandContext: CommandContext): void;
    abstract undoExecute(commandContext: CommandContext): void;
    getId(): number;
    static _nextUUID(): number;
    get discardDuplicated(): string;
    set discardDuplicated(value: string);
}
export default Command;
